Skip to main content
GET
/
v1
/
api
/
profile
/
pnl
Get user PnL
curl --request GET \
  --url https://api.dotprediction.io/v1/api/profile/pnl \
  --header 'X-API-Key: <api-key>'
{
  "granularity": "day",
  "start_time": 123,
  "end_time": 123,
  "user": "<string>",
  "pnl_over_time": [
    {
      "timestamp": 123,
      "pnl": 123,
      "cumulative_pnl": 123
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.

Query Parameters

provider
enum<string>
required

The prediction market platform.

Available options:
kalshi,
polymarket
user
string
required

The user identifier on the platform (username or address).

granularity
enum<string>
required

Time granularity for PnL data points.

Available options:
day,
week,
month,
year,
all
start_time
integer<int64>

Start timestamp (Unix epoch) for filtering PnL data.

end_time
integer<int64>

End timestamp (Unix epoch) for filtering PnL data.

Response

PnL time-series data.

granularity
enum<string>

Time granularity of the data points.

Available options:
day,
week,
month,
year,
all
start_time
integer<int64>

Start of the time range.

end_time
integer<int64>

End of the time range.

user
string

User identifier.

pnl_over_time
object[]

PnL data points over the requested time range.